/* Fonts */
@font-face {
  font-family: "Almoni DL AAA";
  src: url("https://llm.is-il.org.il/fonts/almoni-dl-aaa-900.ttf") format("truetype");
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Almoni DL AAA";
  src: url("https://llm.is-il.org.il/fonts/almoni-dl-aaa-700.ttf") format("truetype");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Almoni DL AAA";
  src: url("https://llm.is-il.org.il/fonts/almoni-dl-aaa-400.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Almoni DL AAA";
  src: url("https://llm.is-il.org.il/fonts/almoni-dl-aaa-300.ttf") format("truetype");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Almoni DL AAA";
  src: url("https://llm.is-il.org.il/fonts/AlmoniDLAAA-Bold.otf") format("opentype");
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Almoni DL AAA";
  src: url("https://llm.is-il.org.il/fonts/AlmoniDLAAA.otf") format("opentype");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* Reset and Base Styles */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Almoni DL AAA";
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  margin: 0;
}

/* Chat Container Styles */
.chat-container {
  width: 100%;
  height: 100vh;
  background-color: #fafafa;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/* Chat Header Styles */
.chat-header {
  width: 100%;
  background-color: #615391;
  color: white;
  padding: 15px 15px 30px 15px;
  text-align: center;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

.chat-header h3 {
  font-size: 25px;
  font-weight: 700;
  font-style: bold;
}

/* Running Styles */
.running-container {
  position: absolute;
  background-color: #ec8235;
  border: 2px solid white;
  border-radius: 10px;
  padding: 5px 20px;
  left: 50%;
  top: 50px;
  transform: translateX(-50%);
  z-index: 1;
}

.running {
  color: white;
  font-size: 20px;
  font-weight: 700;
  font-style: bold;
  text-align: center;
}

/* Chat Window Styles */
.chat-window {
  width: 100%;
  flex: 1;
  padding: 15px;
  overflow-y: auto;
  background-color: #fafafa;
  direction: rtl;
}

/* Message Styles */
.message {
  margin-bottom: 15px;
  width: 100%;
  display: inline-flex;
  flex-direction: column;
  opacity: 0;
  transform: translateY(10px);
  transition: opacity 0.5s ease, transform 0.5s ease;
}

.message.show {
  opacity: 1;
  transform: translateY(0);
}

.clickable {
  color: blue;
  text-decoration: underline;
  cursor: pointer;
}

/* User Messages Styles */
.message.user {
  display: inline-block;
  padding-left: 20%;
  margin-left: auto;
  margin-right: 0;
  text-align: right;
}

.message.user .text {
  background-color: #e0e0e0;   /* אפור בהיר */
  color: #000000;
  text-align: right;
}

/* Bot Messages Styles */
.message.bot {
  display: inline-block;
  padding-right: 20%;
  margin-right: auto;
  margin-left: 0;
  text-align: left;
}

.message.bot .text {
  background-color: #c8f7c1;   /* ירקרק כמו בדוגמה */
  color: #000000;
  text-align: right;
}

.message .text {
  display: inline-flex;
  flex-direction: column;
  padding: 10px 15px;
  border-radius: 20px;
  position: relative;
  word-wrap: break-word;
  font-size: 17px;
}

/* Timestamp Styles */
.timestamp {
  font-size: 15px;
  color: #888;
  margin-top: 5px;
  text-align: left;
}

/* Scrollbar Styles */
.chat-window::-webkit-scrollbar {
  width: 8px;
}

.chat-window::-webkit-scrollbar-thumb {
  background-color: #ccc;
  border-radius: 4px;
}

.chat-window::-webkit-scrollbar-thumb:hover {
  background-color: #b3b3b3;
}

/* Chat Input Area Styles */
.chat-input {
  width: 100%;
  display: flex;
  padding: 10px;
  border-top: 1px solid #ddd;
  background-color: #f9f9f9;
}

.chat-input input {
  flex: 1;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 17px;
  direction: rtl;
  text-align: right;
}

.chat-input img {
  height: 50px;
  background-color: #615391;
  padding: 10px 20px 10px 15px;
  margin-right: 10px;
  border-radius: 4px;
  cursor: pointer;
}

.chat-input img:hover {
  background-color: #4e3b6e;
}

/* GUID Style */
.guid {
  font-size: 13px;
  color: #888;
}
